Subject: thoughts on numerical language

From: [email-masked]
Date: Mon, 03 Dec 2001 17:23:39 -0000

When trying to put together a binary-encoded language, I noticed 
some interesting things. Lojban serves as a great model, for one. 
I noticed some things became a lot easier--you don't have to worry 
about fitting things into human pronunciation. Depending on how 
compact you want it to be, there's a lot less compromises to be 
made. This becomes even more freeing (perhaps this is an extention 
of the hypothesis...maybe our vocal cords limit our thought).

In particular, it became clear that various parts of lojban are 
shaped by things like the number of vowels. Like the so'a-so'u 
series. This is really just a base-6 system of representing an 
approximate scale. I would encode this as .X, given in a specified 
base. Also, the fa-fu system and limit of 5 arguments for a given 
gismu. This is a useful shortcut given the 5-vowel system. Not 
having to be short and tidy, I found it easier to assume a 2 
argument system with extra tags.